Bug 65873 - Make www/linuxpluginwrapper optionally depend on Acrobat
Summary: Make www/linuxpluginwrapper optionally depend on Acrobat
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Norikatsu Shigemura
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-04-22 09:00 UTC by stijn
Modified: 2004-07-06 18:38 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (2.06 KB, patch)
2004-04-22 09:00 UTC, stijn
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description stijn 2004-04-22 09:00:39 UTC
- www/linuxpluginwrapper always depends on Adobe Acrobat 5; while this is
  probably useful for people, I'd like to be able to remove this software
  in favor of something like the GNOME pdf viewer. The attached patch
  adds a knob WITHOUT_ACROBAT to allow this. The knob defaults to no,
  so standard behaviour is unchanged.

How-To-Repeat: 
n/a
Comment 1 Volker Stolz freebsd_committer 2004-04-22 10:18:50 UTC
Responsible Changed
From-To: freebsd-ports-bugs->nork

Over to maintainer.
Comment 2 Volker Stolz freebsd_committer 2004-06-30 11:07:58 UTC
Isn't this simply an issue of configuring the application *using* the  
plugins (Opera,...)? It's not like the port makes anything mandatory.
Is there indeed another *plugin* for PDF?

Volker
Comment 3 stijn 2004-06-30 11:17:37 UTC
On Wed, Jun 30, 2004 at 12:07:58PM +0200, Volker Stolz wrote:
> Isn't this simply an issue of configuring the application *using* the  
> plugins (Opera,...)? It's not like the port makes anything mandatory.
> Is there indeed another *plugin* for PDF?


I don't want it installed. Other software is autoconfigured to look for
Acrobat which I don't want to use.

I could delete it afterwards but I thought a simple knob would suffice.

Feel free to close the PR if you disagree.

--Stijn

-- 
Nostalgia ain't what it used to be.
Comment 4 Norikatsu Shigemura freebsd_committer 2004-07-02 17:28:18 UTC
On Wed, 30 Jun 2004 10:20:20 GMT
Stijn Hoop <stijn@win.tue.nl> wrote:
> The following reply was made to PR ports/65873; it has been noted by GNATS.
> From: Stijn Hoop <stijn@win.tue.nl>
> To: Volker Stolz <vs@freebsd.org>
> Cc: freebsd-gnats-submit@freebsd.org
> Subject: Re: ports/65873: Make www/linuxpluginwrapper optionally depend on Acrobat
> Date: Wed, 30 Jun 2004 12:17:37 +0200
>  On Wed, Jun 30, 2004 at 12:07:58PM +0200, Volker Stolz wrote:
>  > Isn't this simply an issue of configuring the application *using* the =20
>  > plugins (Opera,...)? It's not like the port makes anything mandatory.
>  > Is there indeed another *plugin* for PDF?
>  I don't want it installed. Other software is autoconfigured to look for
>  Acrobat which I don't want to use.
>  I could delete it afterwards but I thought a simple knob would suffice.
>  Feel free to close the PR if you disagree.

	Ah I see.  How about following patch?
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
Index: Makefile
===================================================================
RCS file: /home/ncvs/ports/www/linuxpluginwrapper/Makefile,v
retrieving revision 1.22
diff -u -r1.22 Makefile
--- Makefile	15 Mar 2004 15:20:37 -0000	1.22
+++ Makefile	2 Jul 2004 16:22:25 -0000
@@ -7,7 +7,7 @@
 
 PORTNAME=	linuxpluginwrapper
 PORTVERSION=	20040310
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	www linux
 MASTER_SITES=	http://people.FreeBSD.org/~nork/distfiles/ \
 		${MASTER_SITE_LOCAL}
@@ -18,13 +18,16 @@
 
 .include <bsd.port.pre.mk>
 
-RUN_DEPENDS=	${LOCALBASE}/Acrobat5/Browsers/intellinux/nppdf.so:${PORTSDIR}/print/acroread5 \
-		${LOCALBASE}/lib/linux-flashplugin6/libflashplayer.so:${PORTSDIR}/www/linux-flashplugin6
+RUN_DEPENDS=	${LOCALBASE}/lib/linux-flashplugin6/libflashplayer.so:${PORTSDIR}/www/linux-flashplugin6
+.if		${OSVERSION} >= 500000
+RUN_DEPENDS+=	${LOCALBASE}/Acrobat5/Browsers/intellinux/nppdf.so:${PORTSDIR}/print/acroread5
+.else
+USE_MOTIF=	yes
+.endif
 
 ONLY_FOR_ARCHS=	i386
 
 USE_XLIB=	yes
-USE_MOTIF=	yes
 USE_REINPLACE=	yes
 PKGMESSAGE=	${WRKDIR}/pkg-message
 CONFLICTS=	flashpluginwrapper-*
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
Comment 5 Norikatsu Shigemura freebsd_committer 2004-07-06 18:37:50 UTC
State Changed
From-To: open->closed

Committed, thanks.